Subject: bug#39171: closed (Re: bug#39171: 27.0.60; tramp: async-shell-command annoying scrolling)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Feb 2020 19:55:02 +0000

Your bug report

#39171: 27.0.60; tramp: async-shell-command annoying scrolling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39171: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39171
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39171: 27.0.60; tramp: async-shell-command annoying scrolling
From: Michael Albinus <[email-masked]>
To: Tino Calancha <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Feb 2020 20:54:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.2

Tino Calancha <[email-masked]> writes:

Hi Tino,

>>> emacs -Q
>>> ;; I visit /tmp
>>> C-x d /sudo::/tmp RET
>>> ;; prompted for pasword as usual; then I got my Dired buffer
>>> M-& date RET
>>> ;; Prompted for password (see Bug#39170)
>>> ;; once I put my password, the command executes and it shows
>>> ;; weird scrolling at *Async Shell Command*: the output at line 1
>>> ;; is not visible because the window shows the buffer from line 2
>>> ;; Same with each command regardless of output size: you cannot see
>>> ;; the output until you scroll up 'by hand'.
>>
>> I've pushed a fix to master. Could you, pls, check?
>
> I confirm you have fixed this bug.  Thank you!

Thanks for the feedback, I'm closing the bug. As usual, I will merge
the patch into the emacs-27 branch after the release of Emacs 27.1.

Best regards, Michael.

Subject: 27.0.60; tramp: async-shell-command annoying scrolling
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jan 2020 16:11:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: Michael Albinus <[email-masked]>

emacs -Q
;; I visit /tmp
C-x d /sudo::/tmp RET
;; prompted for pasword as usual; then I got my Dired buffer
M-& date RET
;; Prompted for password (see Bug#39170)
;; once I put my password, the command executes and it shows
;; weird scrolling at *Async Shell Command*: the output at line 1
;; is not visible because the window shows the buffer from line 2
;; Same with each command regardless of output size: you cannot see
;; the output until you scroll up 'by hand'.

Git bisect suggests that the issue arose with commit:
'Support history files in remote shells (Bug#36742)'
(7f95d2d40726b4fb4a2ba1b8c373f3498e286d34)

In GNU Emacs 27.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2020-01-18 built on calancha-pc.dy.bbexcite.jp
Repository revision: 4217bc229b8d1614b3b5c44fd1dadb775ed1ef4a
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)